#-------------------------------------------------
#
# Project created by QtCreator 2018-09-26T00:17:40
#
#-------------------------------------------------

QT       += core gui
QT       += serialport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = ft232_qt
TEMPLATE = app


SOURCES += main.cpp\
        ft232_reign.cpp \
        i2c.c

HEADERS  += ft232_reign.h \
            i2c.h

FORMS    += ft232_reign.ui

unix:!macx: LIBS += -L$$PWD/../libmpsse-1.3/src/ -lmpsse

INCLUDEPATH += $$PWD/../libmpsse-1.3/src
DEPENDPATH += $$PWD/../libmpsse-1.3/src

unix:!macx: PRE_TARGETDEPS += $$PWD/../libmpsse-1.3/src/libmpsse.a

unix:!macx: LIBS += -L$$PWD/../libftdi1/src/ -lftdi

INCLUDEPATH += $$PWD/../libftdi1/src
DEPENDPATH += $$PWD/../libftdi1/src

unix:!macx: PRE_TARGETDEPS += $$PWD/../libftdi1/src/libftdi.so
